/*
 *	Copyright(c) 2022-2023 Aliyun Group. All rights reserved
 */
#ifndef __UDMA_H__
#define __UDMA_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdbool.h>
#include <stddef.h>

enum mem_type {
	NORMAL,
	LARGE,
	HUGEPAGE,
};

bool udma_init();
void *udma_alloc(size_t size, size_t align, int node, enum mem_type mt);
void udma_free(void *ptr);
uint64_t virt2dma(void *ptr);
void udma_destroy(void);

#ifdef __cplusplus
} /* close the extern "C" { */
#endif

#endif
